// Code generated by SQLBoiler (https://github.com/volatiletech/sqlboiler). DO NOT EDIT.
// This file is meant to be re-generated in place and/or deleted at any time.

package postgres

import "testing"

// This test suite runs each operation test in parallel.
// Example, if your database has 3 tables, the suite will run:
// table1, table2 and table3 Delete in parallel
// table1, table2 and table3 Insert in parallel, and so forth.
// It does NOT run each operation group in parallel.
// Separating the tests thusly grants avoidance of Postgres deadlocks.
func TestParent(t *testing.T) {
	t.Run("Apps", testApps)
	t.Run("Drivers", testDrivers)
	t.Run("DriverTokens", testDriverTokens)
	t.Run("Offers", testOffers)
	t.Run("Orders", testOrders)
	t.Run("OrderDeals", testOrderDeals)
	t.Run("Regions", testRegions)
	t.Run("Transports", testTransports)
}

func TestDelete(t *testing.T) {
	t.Run("Apps", testAppsDelete)
	t.Run("Drivers", testDriversDelete)
	t.Run("DriverTokens", testDriverTokensDelete)
	t.Run("Offers", testOffersDelete)
	t.Run("Orders", testOrdersDelete)
	t.Run("OrderDeals", testOrderDealsDelete)
	t.Run("Regions", testRegionsDelete)
	t.Run("Transports", testTransportsDelete)
}

func TestQueryDeleteAll(t *testing.T) {
	t.Run("Apps", testAppsQueryDeleteAll)
	t.Run("Drivers", testDriversQueryDeleteAll)
	t.Run("DriverTokens", testDriverTokensQueryDeleteAll)
	t.Run("Offers", testOffersQueryDeleteAll)
	t.Run("Orders", testOrdersQueryDeleteAll)
	t.Run("OrderDeals", testOrderDealsQueryDeleteAll)
	t.Run("Regions", testRegionsQueryDeleteAll)
	t.Run("Transports", testTransportsQueryDeleteAll)
}

func TestSliceDeleteAll(t *testing.T) {
	t.Run("Apps", testAppsSliceDeleteAll)
	t.Run("Drivers", testDriversSliceDeleteAll)
	t.Run("DriverTokens", testDriverTokensSliceDeleteAll)
	t.Run("Offers", testOffersSliceDeleteAll)
	t.Run("Orders", testOrdersSliceDeleteAll)
	t.Run("OrderDeals", testOrderDealsSliceDeleteAll)
	t.Run("Regions", testRegionsSliceDeleteAll)
	t.Run("Transports", testTransportsSliceDeleteAll)
}

func TestExists(t *testing.T) {
	t.Run("Apps", testAppsExists)
	t.Run("Drivers", testDriversExists)
	t.Run("DriverTokens", testDriverTokensExists)
	t.Run("Offers", testOffersExists)
	t.Run("Orders", testOrdersExists)
	t.Run("OrderDeals", testOrderDealsExists)
	t.Run("Regions", testRegionsExists)
	t.Run("Transports", testTransportsExists)
}

func TestFind(t *testing.T) {
	t.Run("Apps", testAppsFind)
	t.Run("Drivers", testDriversFind)
	t.Run("DriverTokens", testDriverTokensFind)
	t.Run("Offers", testOffersFind)
	t.Run("Orders", testOrdersFind)
	t.Run("OrderDeals", testOrderDealsFind)
	t.Run("Regions", testRegionsFind)
	t.Run("Transports", testTransportsFind)
}

func TestBind(t *testing.T) {
	t.Run("Apps", testAppsBind)
	t.Run("Drivers", testDriversBind)
	t.Run("DriverTokens", testDriverTokensBind)
	t.Run("Offers", testOffersBind)
	t.Run("Orders", testOrdersBind)
	t.Run("OrderDeals", testOrderDealsBind)
	t.Run("Regions", testRegionsBind)
	t.Run("Transports", testTransportsBind)
}

func TestOne(t *testing.T) {
	t.Run("Apps", testAppsOne)
	t.Run("Drivers", testDriversOne)
	t.Run("DriverTokens", testDriverTokensOne)
	t.Run("Offers", testOffersOne)
	t.Run("Orders", testOrdersOne)
	t.Run("OrderDeals", testOrderDealsOne)
	t.Run("Regions", testRegionsOne)
	t.Run("Transports", testTransportsOne)
}

func TestAll(t *testing.T) {
	t.Run("Apps", testAppsAll)
	t.Run("Drivers", testDriversAll)
	t.Run("DriverTokens", testDriverTokensAll)
	t.Run("Offers", testOffersAll)
	t.Run("Orders", testOrdersAll)
	t.Run("OrderDeals", testOrderDealsAll)
	t.Run("Regions", testRegionsAll)
	t.Run("Transports", testTransportsAll)
}

func TestCount(t *testing.T) {
	t.Run("Apps", testAppsCount)
	t.Run("Drivers", testDriversCount)
	t.Run("DriverTokens", testDriverTokensCount)
	t.Run("Offers", testOffersCount)
	t.Run("Orders", testOrdersCount)
	t.Run("OrderDeals", testOrderDealsCount)
	t.Run("Regions", testRegionsCount)
	t.Run("Transports", testTransportsCount)
}

func TestHooks(t *testing.T) {
	t.Run("Apps", testAppsHooks)
	t.Run("Drivers", testDriversHooks)
	t.Run("DriverTokens", testDriverTokensHooks)
	t.Run("Offers", testOffersHooks)
	t.Run("Orders", testOrdersHooks)
	t.Run("OrderDeals", testOrderDealsHooks)
	t.Run("Regions", testRegionsHooks)
	t.Run("Transports", testTransportsHooks)
}

func TestInsert(t *testing.T) {
	t.Run("Apps", testAppsInsert)
	t.Run("Apps", testAppsInsertWhitelist)
	t.Run("Drivers", testDriversInsert)
	t.Run("Drivers", testDriversInsertWhitelist)
	t.Run("DriverTokens", testDriverTokensInsert)
	t.Run("DriverTokens", testDriverTokensInsertWhitelist)
	t.Run("Offers", testOffersInsert)
	t.Run("Offers", testOffersInsertWhitelist)
	t.Run("Orders", testOrdersInsert)
	t.Run("Orders", testOrdersInsertWhitelist)
	t.Run("OrderDeals", testOrderDealsInsert)
	t.Run("OrderDeals", testOrderDealsInsertWhitelist)
	t.Run("Regions", testRegionsInsert)
	t.Run("Regions", testRegionsInsertWhitelist)
	t.Run("Transports", testTransportsInsert)
	t.Run("Transports", testTransportsInsertWhitelist)
}

// TestToOne tests cannot be run in parallel
// or deadlocks can occur.
func TestToOne(t *testing.T) {
	t.Run("DriverTokenToDriverUsingDriver", testDriverTokenToOneDriverUsingDriver)
	t.Run("OfferToDriverUsingDriver", testOfferToOneDriverUsingDriver)
	t.Run("OfferToOrderUsingOrder", testOfferToOneOrderUsingOrder)
	t.Run("OrderDealToOrderUsingOrder", testOrderDealToOneOrderUsingOrder)
	t.Run("OrderDealToOfferUsingOffer", testOrderDealToOneOfferUsingOffer)
	t.Run("OrderDealToDriverUsingDriver", testOrderDealToOneDriverUsingDriver)
	t.Run("TransportToDriverUsingDriver", testTransportToOneDriverUsingDriver)
}

// TestOneToOne tests cannot be run in parallel
// or deadlocks can occur.
func TestOneToOne(t *testing.T) {}

// TestToMany tests cannot be run in parallel
// or deadlocks can occur.
func TestToMany(t *testing.T) {
	t.Run("DriverToDriverTokens", testDriverToManyDriverTokens)
	t.Run("DriverToOffers", testDriverToManyOffers)
	t.Run("DriverToOrderDeals", testDriverToManyOrderDeals)
	t.Run("DriverToTransports", testDriverToManyTransports)
	t.Run("OfferToOrderDeals", testOfferToManyOrderDeals)
	t.Run("OrderToOffers", testOrderToManyOffers)
	t.Run("OrderToOrderDeals", testOrderToManyOrderDeals)
}

// TestToOneSet tests cannot be run in parallel
// or deadlocks can occur.
func TestToOneSet(t *testing.T) {
	t.Run("DriverTokenToDriverUsingDriverTokens", testDriverTokenToOneSetOpDriverUsingDriver)
	t.Run("OfferToDriverUsingOffers", testOfferToOneSetOpDriverUsingDriver)
	t.Run("OfferToOrderUsingOffers", testOfferToOneSetOpOrderUsingOrder)
	t.Run("OrderDealToOrderUsingOrderDeals", testOrderDealToOneSetOpOrderUsingOrder)
	t.Run("OrderDealToOfferUsingOrderDeals", testOrderDealToOneSetOpOfferUsingOffer)
	t.Run("OrderDealToDriverUsingOrderDeals", testOrderDealToOneSetOpDriverUsingDriver)
	t.Run("TransportToDriverUsingTransports", testTransportToOneSetOpDriverUsingDriver)
}

// TestToOneRemove tests cannot be run in parallel
// or deadlocks can occur.
func TestToOneRemove(t *testing.T) {}

// TestOneToOneSet tests cannot be run in parallel
// or deadlocks can occur.
func TestOneToOneSet(t *testing.T) {}

// TestOneToOneRemove tests cannot be run in parallel
// or deadlocks can occur.
func TestOneToOneRemove(t *testing.T) {}

// TestToManyAdd tests cannot be run in parallel
// or deadlocks can occur.
func TestToManyAdd(t *testing.T) {
	t.Run("DriverToDriverTokens", testDriverToManyAddOpDriverTokens)
	t.Run("DriverToOffers", testDriverToManyAddOpOffers)
	t.Run("DriverToOrderDeals", testDriverToManyAddOpOrderDeals)
	t.Run("DriverToTransports", testDriverToManyAddOpTransports)
	t.Run("OfferToOrderDeals", testOfferToManyAddOpOrderDeals)
	t.Run("OrderToOffers", testOrderToManyAddOpOffers)
	t.Run("OrderToOrderDeals", testOrderToManyAddOpOrderDeals)
}

// TestToManySet tests cannot be run in parallel
// or deadlocks can occur.
func TestToManySet(t *testing.T) {}

// TestToManyRemove tests cannot be run in parallel
// or deadlocks can occur.
func TestToManyRemove(t *testing.T) {}

func TestReload(t *testing.T) {
	t.Run("Apps", testAppsReload)
	t.Run("Drivers", testDriversReload)
	t.Run("DriverTokens", testDriverTokensReload)
	t.Run("Offers", testOffersReload)
	t.Run("Orders", testOrdersReload)
	t.Run("OrderDeals", testOrderDealsReload)
	t.Run("Regions", testRegionsReload)
	t.Run("Transports", testTransportsReload)
}

func TestReloadAll(t *testing.T) {
	t.Run("Apps", testAppsReloadAll)
	t.Run("Drivers", testDriversReloadAll)
	t.Run("DriverTokens", testDriverTokensReloadAll)
	t.Run("Offers", testOffersReloadAll)
	t.Run("Orders", testOrdersReloadAll)
	t.Run("OrderDeals", testOrderDealsReloadAll)
	t.Run("Regions", testRegionsReloadAll)
	t.Run("Transports", testTransportsReloadAll)
}

func TestSelect(t *testing.T) {
	t.Run("Apps", testAppsSelect)
	t.Run("Drivers", testDriversSelect)
	t.Run("DriverTokens", testDriverTokensSelect)
	t.Run("Offers", testOffersSelect)
	t.Run("Orders", testOrdersSelect)
	t.Run("OrderDeals", testOrderDealsSelect)
	t.Run("Regions", testRegionsSelect)
	t.Run("Transports", testTransportsSelect)
}

func TestUpdate(t *testing.T) {
	t.Run("Apps", testAppsUpdate)
	t.Run("Drivers", testDriversUpdate)
	t.Run("DriverTokens", testDriverTokensUpdate)
	t.Run("Offers", testOffersUpdate)
	t.Run("Orders", testOrdersUpdate)
	t.Run("OrderDeals", testOrderDealsUpdate)
	t.Run("Regions", testRegionsUpdate)
	t.Run("Transports", testTransportsUpdate)
}

func TestSliceUpdateAll(t *testing.T) {
	t.Run("Apps", testAppsSliceUpdateAll)
	t.Run("Drivers", testDriversSliceUpdateAll)
	t.Run("DriverTokens", testDriverTokensSliceUpdateAll)
	t.Run("Offers", testOffersSliceUpdateAll)
	t.Run("Orders", testOrdersSliceUpdateAll)
	t.Run("OrderDeals", testOrderDealsSliceUpdateAll)
	t.Run("Regions", testRegionsSliceUpdateAll)
	t.Run("Transports", testTransportsSliceUpdateAll)
}
